Set sortPrepend for the Scottish Gaelic Wikipedia, gdwiki
Closed, ResolvedPublic

Description

Could we have

'sortPrepend' => [ 'ga',  'gv', 'sco', 'cy' ]

set for the Scottish Gaelic Wikipedia, gdwiki, please.

This has been discussed by the community in July and August, following the introduction of Compact Language Links to gdwiki:

https://gd.wikipedia.org/wiki/Uicipeid:Doras_na_coimhearsnachd#Compact_Language_Links_enabled_in_this_wiki_today

with a clear consensus that we need to prioritise certain languages, including as a minimum Irish Gaelic (ga), to make the Compact Language Links more useful.

Although we did not finalise a list of languages at the time, the Admins and those involved resumed the discussion recently, and settled on this request for three linguistically related languages (ga, gv, cy) and one geographically related language (sco), and that we should invite user feedback and review the list if required in four months. (We thought, by the way, that it would have been good if the Compact Language List had been longer than nine languages, in which case we would probably have included the other two Celtic languages, br and kw.)

Caoimhin created this task.Dec 21 2016, 8:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2016, 8:51 PM
Urbanecm claimed this task.Dec 21 2016, 8:53 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 21 2016, 8:53 PM

Change 328570 had a related patch set uploaded (by Urbanecm):
Set sortPrepend for gdwiki

https://gerrit.wikimedia.org/r/328570

As a non-emergency deploy this will be deployed at January 03nd 14:00 - 15:00 UTC.

Very good. Thanks.

Urbanecm triaged this task as Normal priority.Dec 21 2016, 9:08 PM
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.

You're welcome. Till this date I can easily change the list of languages. After this date a separate request will be needed (because the patch will be merged and unmodifyable). So if you're able to finalize the list before this date it'll be helpful for me.

Thanks. We discussed it thoroughly and were all agreed on ga,gv,sco,cy, so it is very unlikely that the list will change before 3 January. If after four months we wish for a change in the light of experience, we'll put in a separate request.

Change 328570 merged by jenkins-bot:
Set sortPrepend for gdwiki

https://gerrit.wikimedia.org/r/328570

Mentioned in SAL (#wikimedia-operations) [2017-01-03T14:17:22Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Set sortPrepend for gdwiki T153900 (duration: 00m 40s)

Urbanecm closed this task as Resolved.Jan 3 2017, 2:23 PM

Deployed.

Thanks very much for this. It seems to be working well on gdwiki, and has been received with favourable comment.

Even though things were working well a month ago, the mechanism seems to have stopped working properly. Even though we still have in InitialiseSettings.php:

'wgInterwikiSortingSortPrepend' => [ ...
  'gdwiki' => [ 'ga', 'gv', 'sco', 'cy' ]

gdwiki users are no longer seeing links to ga (Gaeilge) and gv (Gaelg) at the top of the Compact Language Links, but only links to sco (Scots) and cy (Cymraeg), followed by the usual random looking rubbish. I have checked with other gdwiki users and they seem to be seeing the same, regardless of whether they are logged in or logged out. I checked the Norwegian wikis nowiki and nnwiki, and the mechanism seems to be broken for them too. InitialiseSettings.php has:

'wgInterwikiSortingSortPrepend' => [ ...
   'nnwiki' => [ 'no', 'sv', 'da' ],
   'nowiki' => [ 'nn', 'da', 'sv', 'fo', 'is' ],

so the Norwegian Bokmål wiki (no) should crosslink top of the list to the Norwegian Nynorsk wiki (nn) and vice-versa, but this is not now happening at all.

Thanks for the report. This is indeed the case and we are fixing it as soon as possible.

Thanks very much! Things seem to be working fine again now.